package com.os.mes.api.domain;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * ERP返回数据
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class ResponseData {

    @JsonProperty(value = "Successful")
    private boolean Successful;
    @JsonProperty(value = "ErrorMessage")
    private String ErrorMessage;
    @JsonProperty(value = "Logined")
    private boolean Logined;
    @JsonProperty(value = "ReturnData")
    private ReturnData ReturnData;
    @JsonProperty(value = "DataType")
    private int DataType;


    public boolean isSuccessful() {
        return Successful;
    }

    public void setSuccessful(boolean successful) {
        Successful = successful;
    }

    public String getErrorMessage() {
        return ErrorMessage;
    }

    public void setErrorMessage(String errorMessage) {
        ErrorMessage = errorMessage;
    }

    public boolean isLogined() {
        return Logined;
    }

    public void setLogined(boolean logined) {
        Logined = logined;
    }

    public com.os.mes.api.domain.ReturnData getReturnData() {
        return ReturnData;
    }

    public void setReturnData(com.os.mes.api.domain.ReturnData returnData) {
        ReturnData = returnData;
    }

    public int getDataType() {
        return DataType;
    }

    public void setDataType(int dataType) {
        DataType = dataType;
    }
}
