package com.os.mes.api.domain;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

/**
 * 上下胶使用胶料
 */
public class UpperLowerGlue {

    /**
     * 第一次投料明细
     */
    @JsonProperty(value = "MaterialList_1")
    private List<UpperLowerGlueItem1> MaterialList_1;

    /**
     * 第二次投料明细
     */
    @JsonProperty(value = "MaterialList_2")
    private List<UpperLowerGlueItem2> MaterialList_2;

    /**
     * 加促后重量合计
     */
    @JsonProperty(value = "AfterPromotionTotalWeight")
    private double AfterPromotionTotalWeight;


    public List<UpperLowerGlueItem1> getMaterialList_1() {
        return MaterialList_1;
    }

    public void setMaterialList_1(List<UpperLowerGlueItem1> materialList_1) {
        MaterialList_1 = materialList_1;
    }

    public List<UpperLowerGlueItem2> getMaterialList_2() {
        return MaterialList_2;
    }

    public void setMaterialList_2(List<UpperLowerGlueItem2> materialList_2) {
        MaterialList_2 = materialList_2;
    }

    public double getAfterPromotionTotalWeight() {
        return AfterPromotionTotalWeight;
    }

    public void setAfterPromotionTotalWeight(double afterPromotionTotalWeight) {
        AfterPromotionTotalWeight = afterPromotionTotalWeight;
    }
}
